#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
typedef long long lg;
#define cp copy (N.begin(), N.end(), u);
lg find_m(vector <lg>& N)
{
    lg m=1000000000;
    for (lg i=0; i!=N.size(); i++)
    {
        if (N[i]<m)
            m=N[i];
    }
    return m;
}
lg find_mx(vector <lg>& N)
{
    lg m=-1000000000;
    for (lg i=0; i!=N.size(); i++)
    {
        if (N[i]>m)
            m=N[i];
    }
    return m;
}
bool ost(lg x, lg y)
{
    bool b;
    if (x%y==0)
        b=true;
    else
        b=false;
    return b;
}

int main()
{
    lg n, a, t, d, s;
    cin>>t;
    vector <lg> N;
    vector <string> V;
    for (lg i=0; i!=t; i++)
    {
        N.clear();
        cin>>n;
        for (lg j=0; j!=n; j++)
        {
            cin>>a;
            N.push_back(a);
        }
        sort (N.begin(), N.end());
        lg v1=N[0], v2=N[1], v3=N[2], v4=N[3];
        if ((v2*2)<=(v1+v3) && (v2*2)<=(v1+v4) && (v2*2)<=(v4+v3)     && (v1*2)<=(v2+v3) && (v1*2)<=(v2+v4) && (v1*2)<=(v3+v4)      && (v3*2)<=(v1+v2) && (v3*2)<=(v1+v4) && (v3*2)<=(v4+v2))
            V.push_back("YES");
        else
            V.push_back("NO");
    }
    for (string i:V)
    {
        cout<<i;
        cout<<endl;
    }
}